OpenVDB 7.0.0

Classes | Enumerations | Functions
openvdb::v7_0::tools::composite Namespace Reference

## Classes
struct | BuildPrimarySegment
struct | BuildSecondarySegment
struct | GridOrTreeConstructor
struct | GridOrTreeConstructor< Grid< TreeType > >

## Enumerations
enum | CSGOperation { CSG_UNION, CSG_INTERSECTION, CSG_DIFFERENCE }

## Functions
template<typename T >
const std::enable_if<!VecTraits< T >::IsVec, T >::type & | min (const T &a, const T &b)
template<typename T >
const std::enable_if<!VecTraits< T >::IsVec, T >::type & | max (const T &a, const T &b)
template<typename T >
const std::enable_if< VecTraits< T >::IsVec, T >::type & | min (const T &a, const T &b)
template<typename T >
const std::enable_if< VecTraits< T >::IsVec, T >::type & | max (const T &a, const T &b)
template<typename T >
std::enable_if<!std::is_integral< T >::value, T >::type | divide (const T &a, const T &b)
template<typename T >
std::enable_if< std::is_integral< T >::value, T >::type | divide (const T &a, const T &b)
bool | divide (bool a, bool)
template<CSGOperation Operation, typename TreeType >
TreeType::Ptr | doCSGCopy (const TreeType &lhs, const TreeType &rhs)

## Enumeration Type Documentation

## ◆ CSGOperation

enum CSGOperation

Enumerator
CSG_UNION |
CSG_INTERSECTION |
CSG_DIFFERENCE |

## Function Documentation

## ◆ divide() [1/3]

bool openvdb::v7_0::tools::composite::divide | ( | bool | a,
|  | bool |
| ) |  |
| inline

## ◆ divide() [2/3]

std::enable_if<!std::is_integral<T>::value, T>::type openvdb::v7_0::tools::composite::divide | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ divide() [3/3]

std::enable_if<std::is_integral<T>::value, T>::type openvdb::v7_0::tools::composite::divide | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ doCSGCopy()

TreeType::Ptr openvdb::v7_0::tools::composite::doCSGCopy | ( | const TreeType & | lhs,
|  | const TreeType & | rhs
| ) |  |
| inline

## ◆ max() [1/2]

const std::enable_if<!VecTraits<T>::IsVec, T>::type& openvdb::v7_0::tools::composite::max | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ max() [2/2]

const std::enable_if<VecTraits<T>::IsVec, T>::type& openvdb::v7_0::tools::composite::max | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ min() [1/2]

const std::enable_if<!VecTraits<T>::IsVec, T>::type& openvdb::v7_0::tools::composite::min | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ min() [2/2]

const std::enable_if<VecTraits<T>::IsVec, T>::type& openvdb::v7_0::tools::composite::min | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline